Bug 296371 - (CVE-2007-4924) CVE-2007-4924 ekiga remote crash caused by insufficient input validation
CVE-2007-4924 ekiga remote crash caused by insufficient input validation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,reported=20070917,pu...
: Security
Depends On: 297551 297561 310471 310481 833946
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 10:17 EDT by Tomas Hoger
Modified: 2016-03-04 06:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 07:18:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch backported from CVS. (1.02 KB, patch)
2007-09-27 11:18 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2007-09-19 10:17:00 EDT
José Miguel Esparza discovered that insufficient input validation is performed
on SIP protocol header field 'Content-Length' by opal library used by ekiga. 
This flaw can be used to write '\0' byte to attacker-controlled address and
crash ekiga.  Ekiga 2.0.10 using opal library 2.2.10 was released to address
this issue.

Ekiga 2.0.10 release notes:
http://mail.gnome.org/archives/ekiga-list/2007-September/msg00103.html

CVS commit pointed out by upstream:
http://openh323.cvs.sourceforge.net/openh323/opal/src/sip/sippdu.cxx?r1=2.83.2.19&r2=2.83.2.20&pathrev=Phobos
(some of the previous commits may be required to get complete checks / fix)
Comment 4 Tomas Hoger 2007-09-27 11:18:20 EDT
Created attachment 208511 [details]
Patch backported from CVS.
Comment 9 Tomas Hoger 2007-12-20 07:18:26 EST
Fixed in affected products:

Red Hat Enterprise Linux:  	
  http://rhn.redhat.com/errata/RHSA-2007-0957.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2245

Note You need to log in before you can comment on or make changes to this bug.